#!/bin/sh
version=10.1.1
libversion=0.0.0
bindir=/usr/bin
mandir=/usr/man
osname=`uname -s`
if [ "$osname" = "OS400" ]; then
   bindir=/QOpenSys/usr/bin
   mandir=/QOpenSys/usr/man
   if test -z "$1" ; then
      installdir=/QOpenSys/usr/local
   else
      installdir="/QOpenSys/$1"
   fi
elif test -z "$1" ; then
   installdir=/usr/local
else
   installdir="/$1"
fi
umask 022
cd `dirname $0`/usr/local

echo "Uninstalling TBarCode..."

if test -f $installdir/share/tbarcode10/tbarcoded 
then
	$installdir/share/tbarcode10/tbarcoded --stop
	$installdir/share/tbarcode10/tbarcoded --cleanup
fi

rm -f $installdir/share/tbarcode10/license.ini
rm -f $installdir/share/tbarcode10/tbarcode.conf
rm -f $installdir/share/tbarcode10/tbarcoded.conf
rm -f $installdir/share/tbarcode10/samples/2bc.pcl
rm -f $installdir/share/tbarcode10/samples/AIAG_B10.pcl
rm -f $installdir/share/tbarcode10/samples/bclabels.pcl
rm -f $installdir/share/tbarcode10/samples/README
rm -f $installdir/share/tbarcode10/samples/testfile.ps
rm -f $installdir/include/libtbarcode10/tbarcodelib.h
rm -f $installdir/include/libtbarcode10/tbcdef.h
rm -f $installdir/include/libtbarcode10/tecbcfunct.h
rm -f $installdir/include/libtbarcode10/tecbcenum.h
rm -f $installdir/include/TECITStd/TECDataTypes.h
rm -f $installdir/include/TECITStd/TECWinError.h
rm -f $installdir/share/tbarcode10/filtercups_pcl.sh
rm -f $installdir/share/tbarcode10/filtercups_ps.sh
rm -f $installdir/share/tbarcode10/filterlprng_fwd.sh
rm -f $installdir/share/tbarcode10/filterlprng.sh
rm -f $installdir/share/tbarcode10/tbarcode
rm -f $installdir/share/tbarcode10/tbarcoded
rm -f $bindir/tbarcode
rm -f $mandir/man1/tbarcode
rm -f $installdir/lib/libtbarcode10.a
rm -f $installdir/lib/libtbarcode10.la
rm -f $installdir/lib/libtbarcode10.so
rm -f $installdir/lib/libtbarcode10.so.0
rm -f $installdir/lib/libtbarcode10.so.$libversion

rmdir $installdir/share/tbarcode10/samples
rmdir $installdir/share/tbarcode10
rmdir $installdir/include/libtbarcode10
rmdir $installdir/include/TECITStd

echo "Finished."
